@if ($componentData(); as componentData) {
  <div class="full-width full-height p-l-15" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.test-case-workspace.title.information' | translate
              }}
            </div>
          </ng-template>
          <sqtm-app-session-overview-page-information-panel
            [componentData]="componentData"
          />
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'executions'"
          [sqtmCoreAnchorCollapsePanel]="'executions'"
          [nzHeader]="executionsTitle"
          [nzExtra]="executionButtons"
        >
          <ng-template #executionsTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.test-case-workspace.title.executions' | translate }}
            </div>
          </ng-template>
          <ng-template #executionButtons>
            <sqtm-core-toggle-icon
              [stopPropagation]="true"
              [active]="$canEdit()"
              (clickedInActiveMode)="openAddMultipleExecutionsDialog($event)"
            >
              <i
                nz-icon
                nzType="sqtm-core-campaign:create_execs_assign_users"
                nzTheme="outline"
                [attr.data-test-button-id]="'add-multiple-executions'"
                class="action-icon-size m-r-10"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.campaign-workspace.exploratory-session-overview.add-multiple-executions.title'
                    | translate
                "
                nzTooltipPlacement="topRight"
              >
              </i>
            </sqtm-core-toggle-icon>
            <sqtm-core-toggle-icon
              [stopPropagation]="true"
              [active]="$canEdit()"
              (clickedInActiveMode)="addExecution($event)"
            >
              <i
                nz-icon
                nzType="sqtm-core-generic:add"
                nzTheme="outline"
                [attr.data-test-button-id]="'add-execution'"
                class="action-icon-size m-r-10"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.campaign-workspace.exploratory-session-overview.add-execution'
                    | translate
                "
                nzTooltipPlacement="top"
              >
              </i>
            </sqtm-core-toggle-icon>
            <sqtm-core-toggle-icon
              [attr.data-test-button-id]="'delete-executions'"
              [active]="
                (executionTableService.hasSelectedRows$ | async) &&
                $canDeleteExecution()
              "
              (clickedInActiveMode)="deleteSelectedExecutions($event)"
              [stopPropagation]="true"
            >
              <i
                nz-icon
                nzType="sqtm-core-generic:delete"
                nzTheme="outline"
                nz-tooltip
                class="action-icon-size m-r-10"
                [nzTooltipTitle]="
                  'sqtm-core.campaign-workspace.dialog.title.mass-remove-execution'
                    | translate
                "
                nzTooltipPlacement="topRight"
              ></i>
            </sqtm-core-toggle-icon>
          </ng-template>
          <sqtm-app-session-overview-page-executions-panel />
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'comments'"
          [sqtmCoreAnchorCollapsePanel]="'comments'"
          [nzHeader]="commentsTitle"
        >
          <ng-template #commentsTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.comments' | translate }}
            </div>
          </ng-template>
          <sqtm-core-editable-rich-text
            #comment
            [value]="componentData.exploratorySessionOverview.comments"
            [size]="'small'"
            [border]="true"
            [focus]="true"
            [attr.data-test-field-id]="'session-overview-comments'"
            [sqtmCoreGenericViewEditableRichTextField]="'comments'"
            [editable]="$canEdit()"
            [placeholder]="'sqtm-core.generic.editable.placeholder' | translate"
            (confirmEvent)="updateComments($event)"
          >
          </sqtm-core-editable-rich-text>
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'charter'"
          [sqtmCoreAnchorCollapsePanel]="'charter'"
          [nzHeader]="charterTitle"
          sqtmCoreAnchorLastPanel
        >
          <ng-template #charterTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.test-case-workspace.title.charter' | translate }}
            </div>
          </ng-template>
          <sqtm-app-session-overview-page-charter-panel />
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}
